Subject: Re: Proposal for i23: no-store invalidation

From: Mark Nottingham <[email-masked]>
Date: Fri, 9 May 2008 15:54:38 +1000

OK, I've created
   http://www3.tools.ietf.org/wg/httpbis/trac/ticket/117

Henrik, could you identify the changes that need to happen in the  
drafts?

Cheers,

On 17/04/2008, at 6:28 PM, Henrik Nordstrom wrote:

>
> ons 2008-04-16 klockan 18:58 -0700 skrev Mark Nottingham:
>
>> Can you give some examples? 4xx to a GET shouldn't invalidate the
>> cache, and a cache is allowed to return a cached response when
>> encountering a 5xx unless must-revalidate is present.
>
> I am not talking about error responses. I am talking about this text
> which currently is only specified for HEAD and not GET:
>
>   If the new field values
>   indicate that the cached entity differs from the current entity (as
>   would be indicated by a change in Content-Length, Content-MD5, ETag
>   or Last-Modified), then the cache MUST treat the cache entry as
>   stale.
>
> It's a equally good rule for GET as for HEAD, and having them aligned
> would help getting rid of cornercases such as the i23 question.
>
>> In any case, I believe we can close this issue with no spec change;  
>> we
>> may change text regarding cache invalidation separately.
>
> Yes. i23 requires no change. This is a separate but quite related  
> issue.
>
> Regards
> Henrik
>
>
>

--
Mark Nottingham     http://www.mnot.net/